<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="pl">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.7"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Robomap: Plik źródłowy Viewer.cpp</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">Robomap<span id="projectnumber">&#160;0.1</span>
   </div>
   <div id="projectbrief">RM</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Wygenerowano przez Doxygen 1.9.7 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',false,false,'search.php','Szukaj');
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('_viewer_8cpp_source.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="headertitle"><div class="title">Viewer.cpp</div></div>
</div><!--header-->
<div class="contents">
<a href="_viewer_8cpp.html">Idź do dokumentacji tego pliku.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="preprocessor">#include &quot;<a class="code" href="_viewer_8hpp.html">Viewer.hpp</a>&quot;</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span> </div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno"><a class="line" href="class_viewer.html#adc56b61501489ecfdd2618218c128e8c">   14</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="class_viewer.html#adc56b61501489ecfdd2618218c128e8c">Viewer::draw</a>()</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>{</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>    <a class="code hl_variable" href="class_viewer.html#a0bc2785eddd4cae0d3dfcf4087e1ee84">robot</a>.<a class="code hl_function" href="class_robot_model.html#a29a86db3d5f416f78ce4a9527f00f6fc">build</a>();</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>}</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno"><a class="line" href="class_viewer.html#a49181937ba861bdc52eb2476007a2b0b">   21</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="class_viewer.html#a49181937ba861bdc52eb2476007a2b0b">Viewer::init</a>()</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>{</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>  setBackgroundColor(QColor(0x608da2));</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>  showEntireScene();</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>  <span class="comment">// Restore previous viewer state.</span></div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>  restoreStateFromFile();</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>}</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span> </div>
<div class="ttc" id="a_viewer_8hpp_html"><div class="ttname"><a href="_viewer_8hpp.html">Viewer.hpp</a></div><div class="ttdoc">Definicja klasy Viewer.</div></div>
<div class="ttc" id="aclass_robot_model_html_a29a86db3d5f416f78ce4a9527f00f6fc"><div class="ttname"><a href="class_robot_model.html#a29a86db3d5f416f78ce4a9527f00f6fc">RobotModel::build</a></div><div class="ttdeci">void build()</div><div class="ttdoc">Rysuje wszystkie elementy mapy 3D.</div><div class="ttdef"><b>Definition</b> <a href="_robot_model_8cpp_source.html#l00217">RobotModel.cpp:217</a></div></div>
<div class="ttc" id="aclass_viewer_html_a0bc2785eddd4cae0d3dfcf4087e1ee84"><div class="ttname"><a href="class_viewer.html#a0bc2785eddd4cae0d3dfcf4087e1ee84">Viewer::robot</a></div><div class="ttdeci">RobotModel robot</div><div class="ttdoc">Trójwymiarowy model robota.</div><div class="ttdef"><b>Definition</b> <a href="_viewer_8hpp_source.html#l00029">Viewer.hpp:29</a></div></div>
<div class="ttc" id="aclass_viewer_html_a49181937ba861bdc52eb2476007a2b0b"><div class="ttname"><a href="class_viewer.html#a49181937ba861bdc52eb2476007a2b0b">Viewer::init</a></div><div class="ttdeci">virtual void init() override</div><div class="ttdoc">Funkcja inicjalizująca okno do wyświetlania grafiki.</div><div class="ttdef"><b>Definition</b> <a href="_viewer_8cpp_source.html#l00021">Viewer.cpp:21</a></div></div>
<div class="ttc" id="aclass_viewer_html_adc56b61501489ecfdd2618218c128e8c"><div class="ttname"><a href="class_viewer.html#adc56b61501489ecfdd2618218c128e8c">Viewer::draw</a></div><div class="ttdeci">virtual void draw() override</div><div class="ttdoc">Funkcja rysująca obiekty.</div><div class="ttdef"><b>Definition</b> <a href="_viewer_8cpp_source.html#l00014">Viewer.cpp:14</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_4aa64b0872d36146e049722e293482e3.html">prj</a></li><li class="navelem"><a class="el" href="dir_400757c3a0df52e783ed9699284f29ce.html">src</a></li><li class="navelem"><a class="el" href="_viewer_8cpp.html">Viewer.cpp</a></li>
    <li class="footer">Wygenerowano przez <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.7 </li>
  </ul>
</div>
</body>
</html>
